# Docker

## Publish Container Images

To easily create multi-arch containers and publish them to a registry, use this snipped (note you need to be logged in the registry):

Create builder container:
```bash
docker buildx create --name mybuilder --use --bootstrap
```

Build and publish image:
```bash
docker buildx build --push \
--platform linux/amd64,linux/arm64 \
--tag ghcr.io/<name-space>/<image>:latest .
```
